/*
 * FilterOutputStream.java
 *
 * Created on January 2, 2007, 11:41 AM
 *
 * Copyright (C) 2006 Eric Sheridan
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.owasp.csrf.http;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.ServletOutputStream;

/**
 *
 * @author esheridan
 */

public class FilterOutputStream extends ServletOutputStream {
    
    private DataOutputStream stream = null;
    
    public FilterOutputStream(OutputStream output) {
        stream = new DataOutputStream(output);
    }
    
    public void write(int b) throws IOException {
        stream.write(b);
    }
    
    public void write(byte[] b) throws IOException {
        stream.write(b);
    }
    
    public void write(byte[] b, int off, int len) throws IOException {
        stream.write(b, off, len);
    }
    
    public void flush() throws IOException {
        stream.flush();
    }
}
